Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/title/Bug_reporting_guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#46199 - [ffmpeg] Please, use --enable-ladspa

Attached to Project: Arch Linux
Opened by Antonio (kokoko3k) - Friday, 04 September 2015, 11:47 GMT
Last edited by Maxime Gauduin (Alucryd) - Tuesday, 08 September 2015, 07:25 GMT
Task Type Feature Request
Category Packages: Extra
Status Closed
Assigned To Ionut Biru (wonder)
Bartłomiej Piotrowski (Barthalion)
Maxime Gauduin (Alucryd)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description:
ffmpeg does not support ladspa plugins, enabling it carries very low overhead (it would depend on ladspa package, just 28KB), but gives access to a lot of audio filters.
I'm asking this only now because till now i used ladspa filters through mpv; but since a recent commit, mpv devs decided to rely on the ffmpeg internal implementation; which is currently lacking in arch.


Steps to reproduce:
ffmpeg -filters|grep ladspa || echo "no ladspa in ffmpeg"

Thanks.
This task depends upon

Closed by  Maxime Gauduin (Alucryd)
Tuesday, 08 September 2015, 07:25 GMT
Reason for closing:  Implemented
Additional comments about closing:  1:2.7.2-3
Comment by Maxime Gauduin (Alucryd) - Friday, 04 September 2015, 16:27 GMT
Sure why not, we're already aiming for most complete ffmpeg ever anyway. I'll add that soonish unless there's an objection.
Comment by Antonio (kokoko3k) - Saturday, 05 September 2015, 15:40 GMT
Great, thanks!
Comment by Maxime Gauduin (Alucryd) - Monday, 07 September 2015, 12:32 GMT
Just pushed 1:2.7.2-3 to [testing], please let me know if there's any issue. ffmpeg doesn't link agains any of the ladspa filters so there's no need to make it a regular dep, an optdep is enough.
Comment by Antonio (kokoko3k) - Monday, 07 September 2015, 16:13 GMT
Just tested, it works well, thank you very much.

Loading...